Plugins – Ruby (API)

Automatizar criação de componente

Visualizando 3 respostas da discussão
  • Autor
    717 Views Posts
    • #78150


      Participante

      Olá Pessoal, estou com dificuldade para automatizar a criação de um novo componente.

      Meu objetivo é selecionar todos os objetos que estão na cena como box, linhas e outro componentes e depois criar um novo objeto a parti dessa seleção. A primeira parte, a seleção dos objetos eu consigo realizar através desse código:


      model = Sketchup.active_model
      sel = model.selection
      ents = model.active_entities

      objects = []
      ents.each do |e|
      objects << e
      end

      objects.each do |i|
      sel.add i;
      end

      Esse código é uma adaptação desse vídeo

      É a segunda parte que não estou conseguindo realizar, a criação do componente através do script ruby.

      Obs: Utilizando o mouse de forma manual consigo normalmente criar o novo componente dos objetos selecionados.

      Agradeço a atenção.

      Att,
      Alexandre

    • #78171


      Mestre

      Legal sua iniciativa Alexandre!

      Mas aqui no fórum, e acredito q tb no Brasil, são muito… muito… raras as pessoas que programam plugins…

      se der sorte, vamos ver se aparece alguém aqui…

      Achei algumas pessoas que já falaram aq no fórum que trabalhão com isso. Da uma olhada:

      LSeibt

      deltanusigma

      romuloigor

      Tem esse cara que tb é professor universitário que tb programa – Ezequiel Mendonça Rezende

      Tem esses tópicos que podem ser interessantes pra vc:
      Como criar plugins?

      Livro Ruby

      Agora, o site onde vc vai encontrar os principais programadores do mundo de plugins para SU é o SketchUcation

      Espero ter ajudado um pouco!

    • #78173


      Participante

      Olá Daniel, obrigado pelas dicas, vou da uma busca no SketchUcation.

    • #116790


      Participante

      Eu só sei fazer criando um grupo e transformando o grupo para componente. Deve ter uma forma direta.

      Se alguém souber, comente aqui e deixe um exemplo, por favor.

      O código do que falei  é o seguinte:

       

      modelo = Sketchup.active_model

      selecao = modelo.selection

      entidades = modelo.active_entities

       

      objetos = []

      entidades.each do |e|

      objetos << e

      end

       

      objetos.each do |i|

      selecao.add i

      end

       

      grupo = entidades.add_group(objetos)

      conversao = grupo.to_component

      componente = conversao.definition

      componente.invalidate_bounds

      componente.name = “Tudo_Junto”

       

      Eu deixei em português e sem abreviação para facilitar o entendimento.

      • Esta resposta foi modificada 5 anos atrás por meireles.
      • Esta resposta foi modificada 5 anos atrás por meireles.
      • Esta resposta foi modificada 5 anos atrás por meireles.
Visualizando 3 respostas da discussão

Você deve fazer login para responder a este tópico.

© 2020 - SketchUp Brasil, todos os direitos reservados
Desenvolvido por Angelo Rocha, criação de sites, temas e plugins para WordPress.